var map, manager;

function initialize() {
 	if (GBrowserIsCompatible()) {
		var copyCollection = new GCopyrightCollection('herwin');
		var copyright = new GCopyright(1, new GLatLngBounds(new GLatLng(0, 0), new GLatLng(20, 20)), 10, "2009 herwin");
		copyCollection.addCopyright(copyright);

		var tilelayers = [new GTileLayer(copyCollection, 2, 9)];
		tilelayers[0].getTileUrl = CustomGetTileUrl;

		var custommap = new GMapType(tilelayers, new GMercatorProjection(18), "myWorld", {errorMessage: ""});
		custommap.hasOverlay = function () {return true;};
		
		map = new GMap2(document.getElementById("map_canvas"));
		map.setCenter(new GLatLng(0,0), 2, custommap);

		map.addMapType(custommap);
		map.removeMapType(G_NORMAL_MAP);
		map.removeMapType(G_SATELLITE_MAP);
		map.removeMapType(G_HYBRID_MAP);
		map.addControl(new GMapTypeControl());

		map.addControl(new GLargeMapControl3D());
		map.addControl(new myScaleControl());

		var overviewMap = new GOverviewMapControl(new GSize(128,96));
		overviewMap.setMapType(custommap);
		map.addControl(overviewMap);
		map.AddTypeCon

		map.enableScrollWheelZoom();

		GEvent.addListener(map, "zoomend", function() { scaleChange(); } );   
		scaleChange(); 
		
		//custom markers
		var myIcon = new GIcon();
			myIcon.image = 'gmap_stuff/markers/shield/image.png';
			myIcon.shadow = 'gmap_stuff/markers/shield/shadow.png';
			myIcon.iconSize = new GSize(32,32);
			myIcon.shadowSize = new GSize(48,32);
			myIcon.iconAnchor = new GPoint(0,32);
			myIcon.infoWindowAnchor = new GPoint(16,0);
			myIcon.printImage = 'gmap_stuff/markers/shield/printImage.gif';
			myIcon.mozPrintImage = 'gmap_stuff/markers/shield/mozPrintImage.gif';
			myIcon.printShadow = 'gmap_stuff/markers/gmap_stuff/shield/printShadow.gif';
			myIcon.transparent = 'gmap_stuff/markers/shield/transparent.png';
			myIcon.imageMap = [45,0,47,1,48,2,58,3,60,4,61,5,61,6,62,7,62,8,62,9,62,10,62,11,61,12,61,13,60,14,60,15,59,16,59,17,58,18,56,19,55,20,55,21,55,22,55,23,56,24,56,25,56,26,55,27,50,28,50,29,50,30,49,31,36,32,32,33,27,33,7,32,7,31,7,30,7,29,6,28,3,27,2,26,1,25,0,24,0,23,0,22,0,21,0,20,1,19,2,18,3,17,4,16,5,15,5,14,6,13,8,12,11,11,12,10,12,9,13,8,14,7,17,6,18,5,19,4,21,3,27,2,31,1,33,0];

		 // Add 10 markers to the map at random locations  
		var bounds = map.getBounds();  
		var southWest = bounds.getSouthWest();  
		var northEast = bounds.getNorthEast();  
		var lngSpan = northEast.lng() - southWest.lng();  
		var latSpan = northEast.lat() - southWest.lat();  
		for (var i = 0; i < 10; i++) {    
		 	var point = new GLatLng(southWest.lat() + latSpan * Math.random(),southWest.lng() + lngSpan * Math.random());
			map.addOverlay(new GMarker(point,myIcon));  
			}
			
	}
	
}

function CustomGetTileUrl(a,b) {
 	var x = (Math.pow(2,b) - 1 - a.x ) % Math.pow(2,b) ;
	var y = (Math.pow(2,b) - 1 - Math.pow(2,b-2) - a.y) % Math.pow(2,b) ;
	var p = "C";
	if ((b > 5) & (b<8)) {p="D";} 
	if (b == 9) {p="D";} 
	return "http://localhost/myworld/maptiles/lvl" + (b-1) + "/" + p + toHex(x) + toHex(y) + ".jpg";
} 

function toHex(d) {
	var s = d.toString(16) ;
	var l = "000";
	return l.substr(0, (l.length-s.length) )+s; 
}

